/*
 * Designed and developed in 2022-2024 by William Walker (wnwalker@ucsc.edu)
 * Copyright 2022-2024 The Regents of the University of California. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package edu.ucsc.its.temerity.shared.ui.theme


import androidx.compose.ui.graphics.Color

internal val primaryLight = Color(0xFF3A608F)
internal val onPrimaryLight = Color(0xFFFFFFFF)
internal val primaryContainerLight = Color(0xFFD3E4FF)
internal val onPrimaryContainerLight = Color(0xFF001C38)
internal val secondaryLight = Color(0xFF755B0B)
internal val onSecondaryLight = Color(0xFFFFFFFF)
internal val secondaryContainerLight = Color(0xFFFFDF93)
internal val onSecondaryContainerLight = Color(0xFF241A00)
internal val tertiaryLight = Color(0xFF7B580D)
internal val onTertiaryLight = Color(0xFFFFFFFF)
internal val tertiaryContainerLight = Color(0xFFFFDEA9)
internal val onTertiaryContainerLight = Color(0xFF271900)
internal val errorLight = Color(0xFFBA1A1A)
internal val onErrorLight = Color(0xFFFFFFFF)
internal val errorContainerLight = Color(0xFFFFDAD6)
internal val onErrorContainerLight = Color(0xFF410002)
internal val backgroundLight = Color(0xFFF8F9FF)
internal val onBackgroundLight = Color(0xFF191C20)
internal val surfaceLight = Color(0xFFF8F9FF)
internal val onSurfaceLight = Color(0xFF191C20)
internal val surfaceVariantLight = Color(0xFFDFE2EB)
internal val onSurfaceVariantLight = Color(0xFF43474E)
internal val outlineLight = Color(0xFF73777F)
internal val outlineVariantLight = Color(0xFFC3C6CF)
internal val scrimLight = Color(0xFF000000)
internal val inverseSurfaceLight = Color(0xFF2E3035)
internal val inverseOnSurfaceLight = Color(0xFFEFF0F7)
internal val inversePrimaryLight = Color(0xFFA3C9FE)
internal val surfaceDimLight = Color(0xFFD8DAE0)
internal val surfaceBrightLight = Color(0xFFF8F9FF)
internal val surfaceContainerLowestLight = Color(0xFFFFFFFF)
internal val surfaceContainerLowLight = Color(0xFFF2F3FA)
internal val surfaceContainerLight = Color(0xFFECEDF4)
internal val surfaceContainerHighLight = Color(0xFFE7E8EE)
internal val surfaceContainerHighestLight = Color(0xFFE1E2E8)

internal val primaryLightMediumContrast = Color(0xFF194471)
internal val onPrimaryLightMediumContrast = Color(0xFFFFFFFF)
internal val primaryContainerLightMediumContrast = Color(0xFF5176A7)
internal val onPrimaryContainerLightMediumContrast = Color(0xFFFFFFFF)
internal val secondaryLightMediumContrast = Color(0xFF544000)
internal val onSecondaryLightMediumContrast = Color(0xFFFFFFFF)
internal val secondaryContainerLightMediumContrast = Color(0xFF8D7123)
internal val onSecondaryContainerLightMediumContrast = Color(0xFFFFFFFF)
internal val tertiaryLightMediumContrast = Color(0xFF593E00)
internal val onTertiaryLightMediumContrast = Color(0xFFFFFFFF)
internal val tertiaryContainerLightMediumContrast = Color(0xFF946E24)
internal val onTertiaryContainerLightMediumContrast = Color(0xFFFFFFFF)
internal val errorLightMediumContrast = Color(0xFF8C0009)
internal val onErrorLightMediumContrast = Color(0xFFFFFFFF)
internal val errorContainerLightMediumContrast = Color(0xFFDA342E)
internal val onErrorContainerLightMediumContrast = Color(0xFFFFFFFF)
internal val backgroundLightMediumContrast = Color(0xFFF8F9FF)
internal val onBackgroundLightMediumContrast = Color(0xFF191C20)
internal val surfaceLightMediumContrast = Color(0xFFF8F9FF)
internal val onSurfaceLightMediumContrast = Color(0xFF191C20)
internal val surfaceVariantLightMediumContrast = Color(0xFFDFE2EB)
internal val onSurfaceVariantLightMediumContrast = Color(0xFF3F434A)
internal val outlineLightMediumContrast = Color(0xFF5B5F67)
internal val outlineVariantLightMediumContrast = Color(0xFF777B83)
internal val scrimLightMediumContrast = Color(0xFF000000)
internal val inverseSurfaceLightMediumContrast = Color(0xFF2E3035)
internal val inverseOnSurfaceLightMediumContrast = Color(0xFFEFF0F7)
internal val inversePrimaryLightMediumContrast = Color(0xFFA3C9FE)
internal val surfaceDimLightMediumContrast = Color(0xFFD8DAE0)
internal val surfaceBrightLightMediumContrast = Color(0xFFF8F9FF)
internal val surfaceContainerLowestLightMediumContrast = Color(0xFFFFFFFF)
internal val surfaceContainerLowLightMediumContrast = Color(0xFFF2F3FA)
internal val surfaceContainerLightMediumContrast = Color(0xFFECEDF4)
internal val surfaceContainerHighLightMediumContrast = Color(0xFFE7E8EE)
internal val surfaceContainerHighestLightMediumContrast = Color(0xFFE1E2E8)

internal val primaryLightHighContrast = Color(0xFF002344)
internal val onPrimaryLightHighContrast = Color(0xFFFFFFFF)
internal val primaryContainerLightHighContrast = Color(0xFF194471)
internal val onPrimaryContainerLightHighContrast = Color(0xFFFFFFFF)
internal val secondaryLightHighContrast = Color(0xFF2D2100)
internal val onSecondaryLightHighContrast = Color(0xFFFFFFFF)
internal val secondaryContainerLightHighContrast = Color(0xFF544000)
internal val onSecondaryContainerLightHighContrast = Color(0xFFFFFFFF)
internal val tertiaryLightHighContrast = Color(0xFF301F00)
internal val onTertiaryLightHighContrast = Color(0xFFFFFFFF)
internal val tertiaryContainerLightHighContrast = Color(0xFF593E00)
internal val onTertiaryContainerLightHighContrast = Color(0xFFFFFFFF)
internal val errorLightHighContrast = Color(0xFF4E0002)
internal val onErrorLightHighContrast = Color(0xFFFFFFFF)
internal val errorContainerLightHighContrast = Color(0xFF8C0009)
internal val onErrorContainerLightHighContrast = Color(0xFFFFFFFF)
internal val backgroundLightHighContrast = Color(0xFFF8F9FF)
internal val onBackgroundLightHighContrast = Color(0xFF191C20)
internal val surfaceLightHighContrast = Color(0xFFF8F9FF)
internal val onSurfaceLightHighContrast = Color(0xFF000000)
internal val surfaceVariantLightHighContrast = Color(0xFFDFE2EB)
internal val onSurfaceVariantLightHighContrast = Color(0xFF20242B)
internal val outlineLightHighContrast = Color(0xFF3F434A)
internal val outlineVariantLightHighContrast = Color(0xFF3F434A)
internal val scrimLightHighContrast = Color(0xFF000000)
internal val inverseSurfaceLightHighContrast = Color(0xFF2E3035)
internal val inverseOnSurfaceLightHighContrast = Color(0xFFFFFFFF)
internal val inversePrimaryLightHighContrast = Color(0xFFE3ECFF)
internal val surfaceDimLightHighContrast = Color(0xFFD8DAE0)
internal val surfaceBrightLightHighContrast = Color(0xFFF8F9FF)
internal val surfaceContainerLowestLightHighContrast = Color(0xFFFFFFFF)
internal val surfaceContainerLowLightHighContrast = Color(0xFFF2F3FA)
internal val surfaceContainerLightHighContrast = Color(0xFFECEDF4)
internal val surfaceContainerHighLightHighContrast = Color(0xFFE7E8EE)
internal val surfaceContainerHighestLightHighContrast = Color(0xFFE1E2E8)

internal val primaryDark = Color(0xFFA3C9FE)
internal val onPrimaryDark = Color(0xFF00315C)
internal val primaryContainerDark = Color(0xFF1F4876)
internal val onPrimaryContainerDark = Color(0xFFD3E4FF)
internal val secondaryDark = Color(0xFFE5C36C)
internal val onSecondaryDark = Color(0xFF3E2E00)
internal val secondaryContainerDark = Color(0xFF594400)
internal val onSecondaryContainerDark = Color(0xFFFFDF93)
internal val tertiaryDark = Color(0xFFEEBF6D)
internal val onTertiaryDark = Color(0xFF422C00)
internal val tertiaryContainerDark = Color(0xFF5E4100)
internal val onTertiaryContainerDark = Color(0xFFFFDEA9)
internal val errorDark = Color(0xFFFFB4AB)
internal val onErrorDark = Color(0xFF690005)
internal val errorContainerDark = Color(0xFF93000A)
internal val onErrorContainerDark = Color(0xFFFFDAD6)
internal val backgroundDark = Color(0xFF111418)
internal val onBackgroundDark = Color(0xFFE1E2E8)
internal val surfaceDark = Color(0xFF111418)
internal val onSurfaceDark = Color(0xFFE1E2E8)
internal val surfaceVariantDark = Color(0xFF43474E)
internal val onSurfaceVariantDark = Color(0xFFC3C6CF)
internal val outlineDark = Color(0xFF8D9199)
internal val outlineVariantDark = Color(0xFF43474E)
internal val scrimDark = Color(0xFF000000)
internal val inverseSurfaceDark = Color(0xFFE1E2E8)
internal val inverseOnSurfaceDark = Color(0xFF2E3035)
internal val inversePrimaryDark = Color(0xFF3A608F)
internal val surfaceDimDark = Color(0xFF111418)
internal val surfaceBrightDark = Color(0xFF37393E)
internal val surfaceContainerLowestDark = Color(0xFF0C0E13)
internal val surfaceContainerLowDark = Color(0xFF191C20)
internal val surfaceContainerDark = Color(0xFF1D2024)
internal val surfaceContainerHighDark = Color(0xFF272A2F)
internal val surfaceContainerHighestDark = Color(0xFF32353A)

internal val primaryDarkMediumContrast = Color(0xFFAACDFF)
internal val onPrimaryDarkMediumContrast = Color(0xFF00172F)
internal val primaryContainerDarkMediumContrast = Color(0xFF6E93C5)
internal val onPrimaryContainerDarkMediumContrast = Color(0xFF000000)
internal val secondaryDarkMediumContrast = Color(0xFFEAC770)
internal val onSecondaryDarkMediumContrast = Color(0xFF1E1500)
internal val secondaryContainerDarkMediumContrast = Color(0xFFAB8D3D)
internal val onSecondaryContainerDarkMediumContrast = Color(0xFF000000)
internal val tertiaryDarkMediumContrast = Color(0xFFF3C470)
internal val onTertiaryDarkMediumContrast = Color(0xFF201400)
internal val tertiaryContainerDarkMediumContrast = Color(0xFFB38A3D)
internal val onTertiaryContainerDarkMediumContrast = Color(0xFF000000)
internal val errorDarkMediumContrast = Color(0xFFFFBAB1)
internal val onErrorDarkMediumContrast = Color(0xFF370001)
internal val errorContainerDarkMediumContrast = Color(0xFFFF5449)
internal val onErrorContainerDarkMediumContrast = Color(0xFF000000)
internal val backgroundDarkMediumContrast = Color(0xFF111418)
internal val onBackgroundDarkMediumContrast = Color(0xFFE1E2E8)
internal val surfaceDarkMediumContrast = Color(0xFF111418)
internal val onSurfaceDarkMediumContrast = Color(0xFFFBFAFF)
internal val surfaceVariantDarkMediumContrast = Color(0xFF43474E)
internal val onSurfaceVariantDarkMediumContrast = Color(0xFFC7CBD3)
internal val outlineDarkMediumContrast = Color(0xFF9FA3AB)
internal val outlineVariantDarkMediumContrast = Color(0xFF7F838B)
internal val scrimDarkMediumContrast = Color(0xFF000000)
internal val inverseSurfaceDarkMediumContrast = Color(0xFFE1E2E8)
internal val inverseOnSurfaceDarkMediumContrast = Color(0xFF272A2F)
internal val inversePrimaryDarkMediumContrast = Color(0xFF204977)
internal val surfaceDimDarkMediumContrast = Color(0xFF111418)
internal val surfaceBrightDarkMediumContrast = Color(0xFF37393E)
internal val surfaceContainerLowestDarkMediumContrast = Color(0xFF0C0E13)
internal val surfaceContainerLowDarkMediumContrast = Color(0xFF191C20)
internal val surfaceContainerDarkMediumContrast = Color(0xFF1D2024)
internal val surfaceContainerHighDarkMediumContrast = Color(0xFF272A2F)
internal val surfaceContainerHighestDarkMediumContrast = Color(0xFF32353A)

internal val primaryDarkHighContrast = Color(0xFFFBFAFF)
internal val onPrimaryDarkHighContrast = Color(0xFF000000)
internal val primaryContainerDarkHighContrast = Color(0xFFAACDFF)
internal val onPrimaryContainerDarkHighContrast = Color(0xFF000000)
internal val secondaryDarkHighContrast = Color(0xFFFFFAF6)
internal val onSecondaryDarkHighContrast = Color(0xFF000000)
internal val secondaryContainerDarkHighContrast = Color(0xFFEAC770)
internal val onSecondaryContainerDarkHighContrast = Color(0xFF000000)
internal val tertiaryDarkHighContrast = Color(0xFFFFFAF7)
internal val onTertiaryDarkHighContrast = Color(0xFF000000)
internal val tertiaryContainerDarkHighContrast = Color(0xFFF3C470)
internal val onTertiaryContainerDarkHighContrast = Color(0xFF000000)
internal val errorDarkHighContrast = Color(0xFFFFF9F9)
internal val onErrorDarkHighContrast = Color(0xFF000000)
internal val errorContainerDarkHighContrast = Color(0xFFFFBAB1)
internal val onErrorContainerDarkHighContrast = Color(0xFF000000)
internal val backgroundDarkHighContrast = Color(0xFF111418)
internal val onBackgroundDarkHighContrast = Color(0xFFE1E2E8)
internal val surfaceDarkHighContrast = Color(0xFF111418)
internal val onSurfaceDarkHighContrast = Color(0xFFFFFFFF)
internal val surfaceVariantDarkHighContrast = Color(0xFF43474E)
internal val onSurfaceVariantDarkHighContrast = Color(0xFFFBFAFF)
internal val outlineDarkHighContrast = Color(0xFFC7CBD3)
internal val outlineVariantDarkHighContrast = Color(0xFFC7CBD3)
internal val scrimDarkHighContrast = Color(0xFF000000)
internal val inverseSurfaceDarkHighContrast = Color(0xFFE1E2E8)
internal val inverseOnSurfaceDarkHighContrast = Color(0xFF000000)
internal val inversePrimaryDarkHighContrast = Color(0xFF002B51)
internal val surfaceDimDarkHighContrast = Color(0xFF111418)
internal val surfaceBrightDarkHighContrast = Color(0xFF37393E)
internal val surfaceContainerLowestDarkHighContrast = Color(0xFF0C0E13)
internal val surfaceContainerLowDarkHighContrast = Color(0xFF191C20)
internal val surfaceContainerDarkHighContrast = Color(0xFF1D2024)
internal val surfaceContainerHighDarkHighContrast = Color(0xFF272A2F)
internal val surfaceContainerHighestDarkHighContrast = Color(0xFF32353A)
