package edu.ucsc.its.temerity.shared.database

import androidx.room.Database
import androidx.room.RoomDatabase
import androidx.room.TypeConverter
import androidx.room.TypeConverters
import edu.ucsc.its.temerity.remote.Device
import edu.ucsc.its.temerity.remote.Group
import edu.ucsc.its.temerity.remote.User
import kotlinx.datetime.LocalDateTime

internal const val dbFileName = "temerity.db"

@Database(entities = [Group::class, User::class, Device::class], version = 1)
@TypeConverters(LocalDateTimeConverter::class)
abstract class AppDatabase : RoomDatabase() {
    abstract fun temerityDao(): TemerityDao

}

class LocalDateTimeConverter {
    @TypeConverter
    fun fromTimestamp(value: String?): LocalDateTime? {
        return value?.let { LocalDateTime.parse(it) }
    }

    @TypeConverter
    fun dateToTimestamp(date: LocalDateTime?): String? {
        return date?.toString()
    }
}