package edu.ucsc.its.temerity.shared.viewmodel

import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import edu.ucsc.its.temerity.PlatformClient
import edu.ucsc.its.temerity.remote.Device
import kotlinx.coroutines.flow.Flow
import org.koin.compose.getKoin

sealed interface DevicesScreenEvent {

}

data class DevicesScreenState(
    val loading: Boolean,
    val devices: List<Device>
)

class DevicesScreenViewModel() : MoleculeViewModel<DevicesScreenEvent, DevicesScreenState>() {

    @Composable
    override fun models(events: Flow<DevicesScreenEvent>): DevicesScreenState {
        return devicesScreenPresenter(events, getKoin().get())
    }

}

@Composable
fun devicesScreenPresenter(events: Flow<DevicesScreenEvent>, client: PlatformClient): DevicesScreenState {
    var devices: List<Device> by remember { mutableStateOf(emptyList()) }

    LaunchedEffect(Unit) {
        devices = client.getDevices()
    }

    LaunchedEffect(Unit) {
        events.collect { event ->

        }
    }

    return DevicesScreenState(
        loading = false,
        devices = devices
    )
}